Delete MeterGroup - m3ter Documentation
Delete MeterGroup
cURL
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/metergroups/{id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/metergroups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/metergroups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 4XX
- 5XX
Successful Response Example
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Response Examples
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Details: m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow. TheauthorizationCodeflow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string (required)
- UUID of the organization
- id: string (required)
- The UUID of the MeterGroup to delete.
Response Parameters
- id: string (required)
- The UUID of the entity.
- version: integer
- The version number.
- name: string
- dtCreated: string
- The DateTime when the meter group was created (in ISO-8601 format).
- dtLastModified: string
- The DateTime when the meter group was last modified (in ISO-8601 format).
- createdBy: string
- The id of the user who created this meter group.
- lastModifiedBy: string
- The id of the user who last modified this meter group.